<?php 


if($_POST['ajax'] == "changePass"){
	$password = $_POST['password'];
	$newpassword = $_POST['newpassword'];
	
	if($password && $newpassword){
		if($this->user['user_password'] == md5($password."maksa988key")){
			if($password != $newpassword){
				$newpassword = md5($newpassword."maksa988key");
				$this->editUser("`user_password` = '{$newpassword}'", $this->user['user_id']);

				$result['success'] = 'Пароль успешно изменен!';
				$result['status'] = 1;
			} else {
				$result['error'] = 'Новый пароль должен отличаться от старого!';
				$result['status'] = 0;
			}
		} else {
			$result['error'] = 'Текущий пароль не совпадает!';
			$result['status'] = 0;
		}
	} else {
		$result['error'] = 'Все поля обязательны к заполнению!';
		$result['status'] = 0;
	}

	$array = json_encode($result);
	exit($array);
}

if($_POST['ajax'] == "saveName"){
	$user_firstname = $_POST['user_firstname'];
	$user_lastname = $_POST['user_lastname'];
	
	if($user_firstname && $user_firstname){
		if($this->editUser("`user_firstname` = '{$user_firstname}', `user_lastname` = '{$user_lastname}'", $this->user['user_id'])){
			$result['success'] = 'Данные изменены!';
			$result['status'] = 1;
		} else {
			$result['error'] = 'Произошла ошибка, повторите попытку!';
			$result['status'] = 0;
		}
	} else {
		$result['error'] = 'Все поля обязательны к заполнению!';
		$result['status'] = 0;
	}

	$array = json_encode($result);
	exit($array);
}

if($_POST['ajax'] == "saveWMR"){
	$user_wmr = $_POST['user_wmr'];
	
	if($user_wmr){
		if($this->editUser("`user_wmr` = '{$user_wmr}'", $this->user['user_id'])){
			$result['success'] = 'Данные изменены!';
			$result['status'] = 1;
		} else {
			$result['error'] = 'Произошла ошибка, повторите попытку!';
			$result['status'] = 0;
		}
	} else {
		$result['error'] = 'Все поля обязательны к заполнению!';
		$result['status'] = 0;
	}

	$array = json_encode($result);
	exit($array);
}

if($_POST['ajax'] == "saveQiwi"){
	$user_qiwi = $_POST['user_qiwi'];
	
	if($user_qiwi){
		if($this->editUser("`user_qiwi` = '{$user_qiwi}'", $this->user['user_id'])){
			$result['success'] = 'Данные изменены!';
			$result['status'] = 1;
		} else {
			$result['error'] = 'Произошла ошибка, повторите попытку!';
			$result['status'] = 0;
		}
	} else {
		$result['error'] = 'Все поля обязательны к заполнению!';
		$result['status'] = 0;
	}

	$array = json_encode($result);
	exit($array);
}

$this->view(array("theme/_common/_header", "theme/user/index", "theme/_common/_footer"), array("user" => $this->user, "shops" => $this->shops, "shop" => $shop, "result" => $result)); 